Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.compiler
Class ProcessBuilderImpl

    java.lang.Object
      org.jbpm.compiler.ProcessBuilderImpl

All Implemented Interfaces:
  org.drools.compiler.ProcessBuilder

    public class ProcessBuilderImpl

extends Object
implements org.drools.compiler.ProcessBuilder

A ProcessBuilder can be used to build processes based on XML files containing a process definition.

Constructor Summary
`ProcessBuilderImpl(org.drools.compiler.PackageBuilder packageBuilder)`

Method Summary
`List<org.drools.compiler.DroolsError>` | `addProcessFromXml(Resource resource)`
`void` | `buildContexts(ContextContainer contextContainer, ProcessBuildContext buildContext)`
`void` | `buildNodes(WorkflowProcess process, ProcessBuildContext context)`
`void` | `buildProcess(Process process, Resource resource)`
`void` | `configurePackageBuilder(org.drools.compiler.PackageBuilder packageBuilder)`
`List<org.drools.compiler.DroolsError>` | `getErrors()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessBuilderImpl

    public ProcessBuilderImpl(org.drools.compiler.PackageBuilder packageBuilder)

Method Detail

### configurePackageBuilder

    public void configurePackageBuilder(org.drools.compiler.PackageBuilder packageBuilder)

### getErrors

    public List<org.drools.compiler.DroolsError> getErrors()

### buildProcess

    public void buildProcess(Process process,
                             Resource resource)

### buildContexts

    public void buildContexts(ContextContainer contextContainer,
                              ProcessBuildContext buildContext)

### buildNodes

    public void buildNodes(WorkflowProcess process,
                           ProcessBuildContext context)

### addProcessFromXml

    public List<org.drools.compiler.DroolsError> addProcessFromXml(Resource resource)
                                                            throws IOException

  Specified by:
    `addProcessFromXml` in interface `org.drools.compiler.ProcessBuilder`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.